package jp.sourceforge.shovel.dao;

import jp.sourceforge.shovel.entity.IFriendship;
import jp.sourceforge.shovel.entity.impl.FriendshipImpl;

//@S2Dao(bean=FriendshipImpl.class)
public interface IFriendshipCustomDao {
    public Class<?> BEAN = FriendshipImpl.class;
    
    IFriendship[] searchFollowing(long activeId, String[] keywords, int offset, int limit);
    IFriendship[] searchReciprocalFollow(long userId, String[] keywords, int offset, int limit);
    IFriendship[] searchFollowingOnly(long activeId, String[] keywords, int offset, int limit);
    IFriendship[] searchFollowersOnly(long passiveId, String[] keywords, int offset, int limit);
}
